Application: gvSIG desktop - gvSIG bugs #2371
WMS - Can't get proj4 string error
02/24/2014 04:47 PM - Antonio Falciano

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: WMS

Target version: 2.1.0-2230-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2229 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: wms,proj4 Proyecto:

Has patch: No Hito:

Add-on name: Formats: WMS support (org.gvsig.raster.wms.app.wmsclient)
Description

When | try to add this WMS layer from ltalian National Geoportal:

http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/WMS v1.3/raster/IGM 25000.map

the following error occurs:

Can't get proj4 string. org.gvsig.crs.CrsException: java.lang.Exception: In proj4 projection 'Oblique_Mercator' not allow azimut

close to 90 org.gvsig.crs.Proj4.exportToProj4(Proj4.java:3262)
org.gvsig.crs.Crs.getProj4String(Crs.java:706)
[..]

See gvSIG.log attached.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2389: No transformation ... Closed 02/26/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2596: Problema con la pr... Closed 06/26/2014
History

#1 - 02/24/2014 05:03 PM - Alvaro Anguix
- Category changed from CRS to WMS

- Assignee set to Ignacio Brodin

- Target version set to 2.1.0-2221-testing

#2 - 02/28/2014 02:59 PM - Alvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.2.0-2311-rc2

#3 - 04/04/2014 10:28 AM - Alvaro Anguix
- Priority changed from High to Normal

#4 - 04/04/2014 10:37 AM - Alvaro Anguix
- Assignee deleted (Ignacio Brodin)

#5 - 06/18/2014 04:04 AM - Antonio Falciano

- File add_wms_layer.png added
- File gvSIG.log added
http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/WMS_v1.3/raster/IGM_25000.map

Further information: this error doesn't allow to load any WMS layer from the ltalian National Geoportal [1], because the Next button is not activated

after reading the capabilities. | attach a new gvSIG.log and a screenshot.

[1] http://www.pcn.minambiente.ittPCNDYN/catalogowms.jsp?lan=it

#6 - 06/18/2014 06:10 PM - Alvaro Anguix

- gvSIG build changed from 2220 to 2229

- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2259-rc3
- Assignee set to Francisco Diaz Carsi

#7 - 06/26/2014 07:03 AM - Francisco Diaz Carsi

- Status changed from New to Won't fix

En este ticket hay mezclados dos problemas:

- Por un lado, lo que aparece en el log es un problema con el crs EPSG:21781, parece que la definicion del crs no esta bien. Pero no tiene relacién

con WMS. Si creamos una vista en 4326 y cargamos una capa en 21781 da el mismo error.

- Por otro lado, la no activacion del boton "siguiente" tras haber cargado las "capabilities". Si se activa pero hay que esperar un poco, concretamente
con la capa de la que se ha realizado la captura http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/WMS_v1.3/raster/ortofoto_colore 12.map, unos 30

segundos. Esto parece que tiene relacion con el ticket #2584 que esta arreglado para la rc2.

Voy a crear otro ticket exclusivamente con el problema del crs EPSG:21781.

#8 - 06/27/2014 03:48 AM - Francisco Diaz Carsi

- Related to gvSIG bugs #2596: Problema con la proyeccion EPSG:21781 added

#9 - 06/27/2014 09:49 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2230-testing

Files

gvSIG.log 439 KB 02/24/2014 Antonio Falciano
gvSIG.log 374 KB 06/18/2014 Antonio Falciano
add_wms_layer.png 35.6 KB 06/18/2014 Antonio Falciano
